# $Revision: 1.16 $, $Date: 2002/06/20 21:21:24 $
Summary:	Routing daemon
Summary(pl):	Demon dynamicznego routingu
Name:		bird
Version:	1.0.5
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://bird.network.cz/pub/bird/%{name}-%{version}.tar.gz
Source1:	ftp://bird.network.cz/pub/bird/%{name}-doc-%{version}.tar.gz
Source2:	%{name}.init
Patch0:		%{name}-stdio.patch
URL:		http://bird.network.cz/
BuildRequires:	readline-devel >= 4.2
Prereq:		/sbin/chkconfig
Provides:	routingdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	zebra
Obsoletes:	zebra-guile

%description
The BIRD project is an attempt to create a routing daemon running on
UNIX-like systems (but not necessarily limited to them) with full
support of all modern routing protocols, easy to use configuration
interface and powerful route filtering language.

%description -l pl
Projekt BIRD ma na celu utworzenie daemona dynamicznego routingu
pracujcego na systemach UNIX z penym wsparciem dla nowoczesnych
protokow routingu, atwym interfejsem konfiguracji i jzykiem
filtrw o duych moliwociach.

%prep
%setup -q -a 1
%patch0	-p1

%build
%configure2_13 \
	--disable-memcheck \
	--enable-client \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/rc.d/init.d,%{_sbindir}}

install bird $RPM_BUILD_ROOT%{_sbindir}
install birdc $RPM_BUILD_ROOT%{_sbindir}

install doc/bird.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name} >&2

if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run '/etc/rc.d/init.d/%{name} start' to start routing deamon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
        /sbin/chkconfig --del %{name} >&2
fi

%files
%defattr(644,root,root,755)
%doc doc/*.html %{name}-doc-*/doc/*.ps TODO README

%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bird.spec,v $
Revision 1.16  2002/06/20 21:21:24  kloczek
- use new %doc.

Revision 1.15  2002/06/19 12:15:11  marcus
- rel.1., fixed obsoletes

Revision 1.14  2002/04/25 15:53:27  arturs
fixed a small typo

Revision 1.13  2002/04/09 09:30:45  jajcus
- s/stdio.h/stdio.patch/

Revision 1.12  2002/04/08 13:35:07  jajcus
- Version: 1.0.5 (seems still broken a bit)

Revision 1.11  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/28 09:10:30  marcus
- s/%%configure/%%configure2_13/g

Revision 1.7  2001/09/24 09:57:11  qboosh
- Prereq: /sbin/chkconfig

Revision 1.6  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/04/19 03:36:56  kloczek
- release 2,
- added missing readeline-devel to BuildRequires and rebuild against
  readline 4.2,
- added time.h patch with fix commpile bird on glibc 2.2.

Revision 1.2  2000/11/18 22:24:28  kloczek
- added gzipping %doc,
- few cosmetics,
- added Prereq: rc-scripts,
- added Provides: routingdaemon,
- added Obsoletes for gated, mtr, zebra, zebra-guile.

Revision 1.1  2000/11/18 22:07:37  misiek
another routing daemon (TM)


